CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000351CEGUICore library (CEGUIBase)public2010-04-04 06:142010-04-24 11:47
ReporterTimo 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionMercurial: default branch 
Target VersionFixed in VersionMercurial: default branch 
Summary0000351: Wrong width value used in TabControl::performChildWindowLayout
DescriptionIt's quite simple thing; here's a patch:

Index: cegui/src/elements/CEGUITabControl.cpp
===================================================================
--- cegui/src/elements/CEGUITabControl.cpp (revision 2498)
+++ cegui/src/elements/CEGUITabControl.cpp (working copy)
@@ -591,7 +591,7 @@
         --i;
         float xmax = d_tabButtonVector [i]->getXPosition ().d_offset +
             d_tabButtonVector [i]->getPixelSize ().d_width;
- float width = tabContentPane->getPixelSize ().d_width;
+ float width = tabButtonPane->getPixelSize ().d_width;
 
         // If right button margin exceeds right window margin,
         // or leftmost button is at offset 0, finish
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000448)
CrazyEddie (administrator)
2010-04-24 11:47

Thanks.

Fixed as per the provided patch in branches/v0-7 @ r2500

- Issue History
Date Modified Username Field Change
2010-04-04 06:14 Timo New Issue
2010-04-07 09:21 CrazyEddie Status new => assigned
2010-04-07 09:21 CrazyEddie Assigned To => CrazyEddie
2010-04-24 10:52 CrazyEddie Status assigned => confirmed
2010-04-24 11:47 CrazyEddie Note Added: 0000448
2010-04-24 11:47 CrazyEddie Status confirmed => resolved
2010-04-24 11:47 CrazyEddie Fixed in Version 0.8.3 => Mercurial: default branch
2010-04-24 11:47 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker